
CoCoA-5 - Feature #484

Evaluate in other ring (was called :: in CoCoA-4)

19 Mar 2014 21:50 - John Abbott

Status: Closed Start date: 19 Mar 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-4 function to be added Estimated time: 1.51 hour

Target version: CoCoA-5.1.1 Seoul14 Spent time: 1.50 hour

Description

CoCoA-4 has the :: operator which evaluated expressions in a given ring:

R::x+y

 

2014-07: added ReadExpr

PolyAlgHom(P1, P2, [ReadExpr(P2,"a^2"), ReadExpr(P2,"b^3")])

Related issues:

Related to CoCoA-5 - Feature #606: Evaluate in ring operator (was called :: i... Closed 19 Mar 2014

History

#1 - 19 Mar 2014 21:52 - John Abbott

- Project changed from CoCoA to CoCoA-5

Sorry, I thought I was already in CoCoA-5

#2 - 19 Mar 2014 21:55 - John Abbott

- Subject changed from Evaluate in ring operator (:: in CoCoA-4) to Evaluate in ring operator (was called :: in CoCoA-4)

We must determine the exact semantics (C4 was pretty vague, I believe).

We should decide what syntax to use.

It might help solve the problem about printing matrices (#18 post 3).

#3 - 20 Mar 2014 09:18 - Anna Maria Bigatti

- Category set to CoCoA-4 function to be added

- Target version set to CoCoA-5.1.0 Easter14

That would be handy!  But I expect it to be hard to implement.

Right now the closer you can get to it is

PolyAlgHom(P1, P2, [RingElem(P2,"a")^2, RingElem(P2,"b")^3]);

 

I would suggest forcing parentheses
PolyAlgHom(P1, P2, P2::([a^2,b^3]) );

#4 - 04 Apr 2014 13:06 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#5 - 14 Jul 2014 08:22 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.1 Seoul14

- % Done changed from 0 to 10

- Estimated time set to 1.00 h

In CoCoALib we can read expressions from strings with ReadExpr(RING, STRING).

I'm going to add it to cocoa-5 so you can write:

PolyAlgHom(P1, P2, [ReadExpr(P2,"a^2"), ReadExpr(P2,"b^3")]);

and more complicated expressions like

ReadExpr(R,"(x+y)*(x^3-2*y-1)");

#6 - 14 Jul 2014 09:26 - Anna Maria Bigatti

ReadExpr documented, cvs-ed

(updated entry for RingElem)

#7 - 14 Jul 2014 09:29 - Anna Maria Bigatti

- % Done changed from 10 to 50

#8 - 29 Jul 2014 09:29 - Anna Maria Bigatti

- Status changed from New to In Progress

#9 - 01 Aug 2014 10:54 - Anna Maria Bigatti

- Subject changed from Evaluate in ring operator (was called :: in CoCoA-4) to Evaluate in other ring (was called :: in CoCoA-4)

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

#10 - 01 Aug 2014 10:54 - Anna Maria Bigatti

- Estimated time changed from 1.00 h to 1.51 h

#11 - 01 Aug 2014 10:56 - Anna Maria Bigatti

the CoCoA-4 operator "::" is now in another specific issue.

For the time being I think that ReadExpr may be good enough.
#12 - 11 Sep 2014 17:43 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
